# Class StyleParser.BoxInfo

java.lang.Object
com.codename1.ui.plaf.StyleParser.BoxInfo

Direct Known Subclasses:
  `StyleParser.MarginInfo, StyleParser.PaddingInfo`

Enclosing class:
  `StyleParser`

public static class StyleParser.BoxInfo extends Object
Base class for style values that consist of 4 scalar values, such as padding and margin.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected StyleParser.ScalarValue[]`
  `values`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoxInfo(StyleParser.ScalarValue[] values)`
  Creates a new box with the specified scalar values.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StyleParser.ScalarValue`
  `getValue(int side)`
  Gets a value for a side.
  `StyleParser.ScalarValue[]`
  `getValues()`
  Gets the scalar values of this box as a 4-element array.
  `void`
  `setValues(StyleParser.ScalarValue[] values)`
  Sets the scalar values of this box as a 4-element array.
  `String`
  `toString()`
  Returns string of values in format.
  `String`
  `toString(int side)`
  Returns the string representation of one of the sides of the box.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Field Details

  - ### values

    protected StyleParser.ScalarValue[] values

- ## Constructor Details

  - ### BoxInfo

    public BoxInfo(StyleParser.ScalarValue[] values)

    Creates a new box with the specified scalar values.

    ###### Parameters

    - `values`: A 4-element array of scalar values.

- ## Method Details

  - ### toString

    public String toString()
    Returns string of values in format.
    Overrides:
      `toString` in class `Object`

  - ### toString

    public String toString(int side)

    Returns the string representation of one of the sides of the box.

    ###### Parameters

    - `side`: One of `Component#TOP`, `Component#RIGHT`, `Component#BOTTOM`, `Component#LEFT`.

  - ### getValues

    public StyleParser.ScalarValue[] getValues()
    Gets the scalar values of this box as a 4-element array.

  - ### setValues

    public void setValues(StyleParser.ScalarValue[] values)

    Sets the scalar values of this box as a 4-element array.

    ###### Parameters

    - `values`

  - ### getValue

    public StyleParser.ScalarValue getValue(int side)

    Gets a value for a side.

    ###### Parameters

    - `side`: One of `Component#TOP`, `Component#RIGHT`, `Component#BOTTOM`, `Component#LEFT`.

    ###### Returns

    The value portion of the scalar value.